import java.io.File;
import java.io.IOException;

import noNamespace.MenuSetDocument;
import noNamespace.MenuSetDocument.MenuSet;
import noNamespace.MenuSetDocument.MenuSet.Menu;

import org.antlr.stringtemplate.StringTemplate;
import org.apache.xmlbeans.XmlException;

public class Test {

	/**
	 * @param args
	 * @throws IOException
	 * @throws XmlException
	 */
	public static void main(String[] args) throws XmlException, IOException {

		File myFile = new File("J:/xmlSchemes/SampleFile18.xml");
		MenuSetDocument doc = MenuSetDocument.Factory.parse(myFile);
		StringTemplate msgTemplate = TemplateLoader.get("MessageboxScript.st",
				"MenuScript");
		

		MenuSet menuSet = doc.getMenuSet();
		Menu[] tesMenus = menuSet.getMenuArray();
		// index(menuSet);

		for (int i = 0; i < tesMenus.length; i++) {
			Menu menu = tesMenus[i];
			if (menu.getId() == (menuSet.getMainMenu())) {
				msgTemplate.setAttribute("MainMenuIndex", -(i + 1));
				break;
			}
		}
		msgTemplate.setAttribute("MenuScriptName", menuSet.getScriptName());
		msgTemplate.setAttribute("menus", tesMenus);

		// menuSet.getMenuArray()[0].getButtonArray()[0].isS
		
		System.out.println(msgTemplate);

	}

	// public static void index(MenuSet menuSet){
	// Menu[] menuArray = menuSet.getMenuArray();
	// for (int i = 0; i < menuArray.length; i++) {
	// menuArray[i].setIndex(i);
	// Button[] buttonArray = menuArray[i].getButtonArray();
	// for (int j = 0; j < buttonArray.length; j++) {
	// buttonArray[j].setIndex(j);
	// }
	// }
	// }

	// tesCode.setAttribute("params.{text,vars}", "eat %.0f apples", "100");
	// tesCode.setAttribute("params.{text,vars}", "eat %.0f pigs", "1000");

	// StringTemplate CompleteMenu =
	// TemplateLoader.get("MessageboxScript.st", "MenuScript");
	// CompleteMenu.setAttribute("structure.{text,vars}", "eat %.0f apples",
	// "100");
	// CompleteMenu.setAttribute("structure.{text,vars}",
	// "eat a single fruitcake", "");

	// System.out.println(doc.getMenuSet().getMenuArray()[0].getButtonArray()
	// [0].getClose());

	// for (Button currentButton :
	// doc.getMenuSet().getMenuArray()[0].getButtonArray()) {
	//		
	// if (currentButton.isSetClose()) {
	// StringTemplate test = new StringTemplate(
	// "this it my close $button.close$");
	// test.setAttribute("button", currentButton);
	// System.out.println(test);
	// }
	// }

}