group MessageboxScript;

MenuScript(MenuScriptName,MainMenuIndex,menus,menuVars,giveItem) ::= <<
scn $MenuScriptName$

short Choice
short currentMenu
Begin OnActivate
set currentMenu to $MainMenuIndex$
End

Begin GameMode
$menus:whichMenu()$
if currentMenu > 0 && Choice == -1
	set Choice to GetButtonPressed
endif
$menus:menuCode()$
End
>>

whichMenu(menu) ::=<<
if (currentMenu == -$menu.id$) 
	MessageBox "$menu.title$"$menu.buttonArray:buttonList()$ 
	set currentMenu to $menu.id$
endif

>>

buttonList() ::=<< "$it.title$">>

buttonCode(buttons) ::=<<
$first(buttons):{ button | 
	if (Choice == $i0$)
	set Choice to -1
	$if(button.setCode)$
$button.code$$endif$
	$if(button.setClose)$
	set currentMenu to 0
	$elseif(button.setTarget)$
	set currentMenu to -$button.target$
	$else$
	set currentMenu to -$menu.id$$endif$
	}$
$rest(buttons):{ button |
	elseif (Choice == $i$)
	set Choice to -1
	$if(button.setCode)$
$button.code$$endif$
	$if(button.setClose)$
	set currentMenu to 0
	$elseif(button.setTarget)$
	set currentMenu to -$button.target$
	$else$
	set currentMenu to -$menu.id$$endif$
	}$
	endif
endif
>>

menuCode(menu) ::=<<

if (currentMenu == $i$)
$buttonCode(menu.buttonArray)$ 
>>